import 'dart:async';
import 'package:simple_permissions/simple_permissions.dart';
import 'package:flutter/services.dart';

class AndroidMultipleIdentifier {
  static String version;
  static const MethodChannel _channel =
      const MethodChannel('android_multiple_identifier');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
  static Future<String> get imeiCode async {
    requestPermissions();
    final String imei = await _channel.invokeMethod('getIMEI');
    return imei;
  }
  static Future<String> get serialCode async {
    requestPermissions();
    final String serial = await _channel.invokeMethod('getSerial');
    return serial;
  }
  static Future<String> get androidID async {
    requestPermissions();
    final String androidID = await _channel.invokeMethod('getAndroidID');
    return androidID;
  }
  static void requestPermissions() async {
    version = await platformVersion;
    if (int.parse(version[8]) >= 6) {
      final res = await SimplePermissions.requestPermission(
            Permission.ReadPhoneState);
        print("permission request result is " + res.toString());
    }
  }

}
